Package org.apache.lucene.queries.payloads

## Class PayloadMatcherFactory

- java.lang.Object
- - org.apache.lucene.queries.payloads.PayloadMatcherFactory

-     public class PayloadMatcherFactory
      extends Object

  Creates a payload matcher object based on a payload type and an operation. PayloadTypes of INT,FLOAT, or STRING are supported. Inequality operations are supported.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PayloadMatcherFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PayloadMatcher` | `createMatcherForOpAndType​(SpanPayloadCheckQuery.PayloadType payloadType, SpanPayloadCheckQuery.MatchOperation op)` | Return a payload matcher for use in the SpanPayloadCheckQuery that will decode the ByteRef from a payload based on the payload type, and apply a matching inequality operations (eq,lt,lte,gt,and gte)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PayloadMatcherFactory

          public PayloadMatcherFactory()

  - ### Method Detail

    - #### createMatcherForOpAndType

          public static PayloadMatcher createMatcherForOpAndType​(SpanPayloadCheckQuery.PayloadType payloadType,
                                                                 SpanPayloadCheckQuery.MatchOperation op)

      Return a payload matcher for use in the SpanPayloadCheckQuery that will decode the ByteRef from a payload based on the payload type, and apply a matching inequality operations (eq,lt,lte,gt,and gte)
      Parameters:
        `payloadType` - the type of the payload to decode, STRING, INT, FLOAT
        `op` - and inequalit operation as the test (example: eq for equals, gt for greater than)
      Returns:
        a payload matcher that decodes the payload and applies the operation inequality test.